namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Player::playable_get() const
{
   Eina_Bool __return_value =  ::efl_player_playable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::play_get() const
{
   Eina_Bool __return_value =  ::efl_player_play_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_set( ::efl::eolian::in_traits<bool>::type play) const
{
    ::efl_player_play_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(play));
}
inline ::efl::eolian::return_traits<double>::type Player::position_get() const
{
   double __return_value =  ::efl_player_position_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::position_set( ::efl::eolian::in_traits<double>::type sec) const
{
    ::efl_player_position_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(sec));
}
inline ::efl::eolian::return_traits<double>::type Player::progress_get() const
{
   double __return_value =  ::efl_player_progress_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Player::play_speed_get() const
{
   double __return_value =  ::efl_player_play_speed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_speed_set( ::efl::eolian::in_traits<double>::type speed) const
{
    ::efl_player_play_speed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(speed));
}
inline ::efl::eolian::return_traits<double>::type Player::audio_volume_get() const
{
   double __return_value =  ::efl_player_audio_volume_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::audio_volume_set( ::efl::eolian::in_traits<double>::type volume) const
{
    ::efl_player_audio_volume_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(volume));
}
inline ::efl::eolian::return_traits<bool>::type Player::audio_mute_get() const
{
   Eina_Bool __return_value =  ::efl_player_audio_mute_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::audio_mute_set( ::efl::eolian::in_traits<bool>::type mute) const
{
    ::efl_player_audio_mute_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(mute));
}
inline ::efl::eolian::return_traits<double>::type Player::length_get() const
{
   double __return_value =  ::efl_player_length_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::seekable_get() const
{
   Eina_Bool __return_value =  ::efl_player_seekable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
} 
namespace eo_cxx {
namespace efl { 
inline ::efl::eolian::return_traits<bool>::type Player::playable_get() const
{
   Eina_Bool __return_value =  ::efl_player_playable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::play_get() const
{
   Eina_Bool __return_value =  ::efl_player_play_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_set( ::efl::eolian::in_traits<bool>::type play) const
{
    ::efl_player_play_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(play));
}
inline ::efl::eolian::return_traits<double>::type Player::position_get() const
{
   double __return_value =  ::efl_player_position_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::position_set( ::efl::eolian::in_traits<double>::type sec) const
{
    ::efl_player_position_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(sec));
}
inline ::efl::eolian::return_traits<double>::type Player::progress_get() const
{
   double __return_value =  ::efl_player_progress_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<double>::type Player::play_speed_get() const
{
   double __return_value =  ::efl_player_play_speed_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::play_speed_set( ::efl::eolian::in_traits<double>::type speed) const
{
    ::efl_player_play_speed_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(speed));
}
inline ::efl::eolian::return_traits<double>::type Player::audio_volume_get() const
{
   double __return_value =  ::efl_player_audio_volume_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::audio_volume_set( ::efl::eolian::in_traits<double>::type volume) const
{
    ::efl_player_audio_volume_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(volume));
}
inline ::efl::eolian::return_traits<bool>::type Player::audio_mute_get() const
{
   Eina_Bool __return_value =  ::efl_player_audio_mute_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Player::audio_mute_set( ::efl::eolian::in_traits<bool>::type mute) const
{
    ::efl_player_audio_mute_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(mute));
}
inline ::efl::eolian::return_traits<double>::type Player::length_get() const
{
   double __return_value =  ::efl_player_length_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<bool>::type Player::seekable_get() const
{
   Eina_Bool __return_value =  ::efl_player_seekable_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline efl::Player::operator ::efl::Player() const { return *static_cast< ::efl::Player const*>(static_cast<void const*>(this)); }
inline efl::Player::operator ::efl::Player&() { return *static_cast< ::efl::Player*>(static_cast<void*>(this)); }
inline efl::Player::operator ::efl::Player const&() const { return *static_cast< ::efl::Player const*>(static_cast<void const*>(this)); }
} }

